Bug 118444 - Documents in Read-only Mode are Moved a Bit to the Left with Home and End Key
Summary: Documents in Read-only Mode are Moved a Bit to the Left with Home and End Key
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Read-Only
  Show dependency treegraph
 
Reported: 2018-06-29 09:55 UTC by Harald Koester
Modified: 2021-07-16 03:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2018-06-29 09:55:10 UTC
In order to reproduce:

[1] Create a new text document and insert a bit of text.
[2] Save document.
[3] Change to read-only mode: Menu > Edit > Edit Mode.
[4] Press key Home or key End. The display of the document is moved a bit to the left. Expected: No move.
[5] The move can be reset with the left or right arrow key. 

If the LibreOffice window is smaller, that means the horizontal scrollbar is displayed, the behaviour seemed to be OK or at least to be intended: 
- Home: Left part of document is displayed,
- End: Right part is displayed,
- Left arrow: Document is moved to the left,
- Right arrow: Move to the right.

Tested with version 6.0.5 (64 bit, Win 10). Bug already exists in version 3.3.0. hence inherited from OOo.
Comment 1 Susan Gessing 2018-06-29 19:57:03 UTC

In
Version: 6.2.0.0.alpha0+
Build ID: b1740fba0d1e6e3d69c3781734509317f42a0e4f
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-06-15_08:49:04
Locale: en-US (en_US); Calc: CL

I've observed the following:

-As soon as I select Edit Mode, the document jumps up or down a few centimeters depending on if I'm changing it to read only or not.

-While in read only mode, home moves it to the left or end moves it to the right but not both. (once I click one of them, the other does nothing).

-While in read only mode, the left and right arrows do nothing. The up and down arrows do move the document up and down, respectively.
Comment 2 QA Administrators 2019-06-30 02:50:55 UTC Comment hidden (obsolete)
Comment 3 Harald Koester 2019-07-16 11:36:36 UTC
Bug still exists in version 6.2.5 (64 bit, Win 10).
Comment 4 QA Administrators 2021-07-16 03:48:22 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug